<?php

namespace App\Command;

use Pimcore\Console\AbstractCommand;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class DeploymentRemoveCommand extends AbstractCommand
{
	protected function configure()
	{
		$this
			->setName('deployment:remove')
			->setDescription('Remove all parts of project from server');
	}

	protected function execute(InputInterface $input, OutputInterface $output)
	{
		require_once __DIR__.'/../../../vendor/deployer/deployer/src/functions.php';
		$console = new \Deployer\Console\Application('Deployer', 'master');
		$deployer = new \Deployer\Deployer($console, $input, $output);
		require __DIR__.'/../Tool/Deployer/recipe.php';
		$deployer->run();
	}
}
